class Pages::GoMod < ::Phlex::HTML
  def initialize(import, repo)
    @import = import
    @repo = repo

    @repourl = repo.to_s

    if @repourl.start_with?("https://git.farthergate.com")
      @repourl = "https://git.farthergate.com/p/rad:" + @repourl.delete_prefix("https://git.farthergate.com/").delete_suffix(".git")
    end
  end
  def view_template
    render ::Pages::Layout.new({title: @import.to_s}, meta: {
      "go-import" => "#{@import} git #{@repo}"
    }) {
      p {
        h1 { @import }
        p {
          plain "This is a generated page to host the Go module located at "
          a(href: @repourl) { @repo }
          plain ". You'll probably find more information about it over there."
        }
      }
    }
  end
end
  